MachineAccountSubtypesService
Use this API to get, update, and delete machine account subtype for sources.
Every method returns an Observable. All request paths are relative to the baseUrl you pass to provideSailPoint().
| Method | HTTP request | Description |
|---|---|---|
| create-source-subtype-v1 | POST /source-subtypes/v1 | Create subtype |
| delete-machine-account-subtype-v1 | DELETE /source-subtypes/v1/{subtypeId} | Delete subtype by ID |
| get-machine-account-subtype-approval-config-v1 | GET /source-subtypes/v1/{subtypeId}/machine-config | Machine Subtype Approval Config |
| get-source-subtype-by-id-v1 | GET /source-subtypes/v1/{subtypeId} | Get subtype by ID |
| list-source-subtypes-v1 | GET /source-subtypes/v1 | Retrieve all subtypes |
| load-bulk-source-subtypes-v1 | POST /source-subtypes/v1/bulk-retrieve | Bulk Retrieve of Source Subtypes |
| patch-machine-account-subtype-v1 | PATCH /source-subtypes/v1/{subtypeId} | Patch subtype by ID |
| update-machine-account-subtype-approval-config-v1 | PATCH /source-subtypes/v1/{subtypeId}/machine-config | Machine Subtype Approval Config |
create-source-subtype-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Create subtype Create a new machine account subtype.
Parameters
The service takes one object that holds every parameter. Its type is CreateSourceSubtypeV1RequestParams.
| Name | Type | Description | Notes |
|---|---|---|---|
| createSourceSubtypeV1Request | CreateSourceSubtypeV1Request | ||
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Observable<SourceSubtypeWithSource>
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { Component, inject } from '@angular/core';
import { MachineAccountSubtypesService } from '@sailpoint/angular-sdk/machine_account_subtypes';
import { CreateSourceSubtypeV1Request } from '@sailpoint/angular-sdk/machine_account_subtypes';
@Component({ selector: 'app-example', template: '' })
export class ExampleComponent {
private readonly api = inject(MachineAccountSubtypesService);
createSourceSubtypeV1(): void {
const createSourceSubtypeV1Request: CreateSourceSubtypeV1Request = ; //
const xSailPointExperimental: string = ; // Use this header to enable this experimental API. (optional)
this.api.createSourceSubtypeV1({ createSourceSubtypeV1Request: createSourceSubtypeV1Request }).subscribe({
next: (result) => console.log(result),
error: (error) => console.error(error),
});
}
}
delete-machine-account-subtype-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Delete subtype by ID Delete a machine account subtype by subtype ID.
Note: If subtype has approval settings or entitlement for machine account creation enablement then it'll be also deleted.
Parameters
The service takes one object that holds every parameter. Its type is DeleteMachineAccountSubtypeV1RequestParams.
| Name | Type | Description | Notes |
|---|---|---|---|
| subtypeId | string | The ID of the subtype. | [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Observable<void> (empty response body)
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { Component, inject } from '@angular/core';
import { MachineAccountSubtypesService } from '@sailpoint/angular-sdk/machine_account_subtypes';
@Component({ selector: 'app-example', template: '' })
export class ExampleComponent {
private readonly api = inject(MachineAccountSubtypesService);
deleteMachineAccountSubtypeV1(): void {
const subtypeId: string = ; // The ID of the subtype.
const xSailPointExperimental: string = ; // Use this header to enable this experimental API. (optional)
this.api.deleteMachineAccountSubtypeV1({ subtypeId: subtypeId }).subscribe({
next: (result) => console.log(result),
error: (error) => console.error(error),
});
}
}
get-machine-account-subtype-approval-config-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Machine Subtype Approval Config This endpoint retrieves the approval configuration for machine account creation and deletion at the machine subtype level. By providing a specific subtypeId in the path, clients can fetch the approval rules and settings (such as required approvers and comments policy) that govern account creation and deletion for that particular machine subtype. The response includes a MachineAccountSubtypeConfigDto object detailing these configurations, enabling clients to understand or display the approval workflow required for creating and deleting machine accounts of the given subtype. Use this endpoint to get machine subtype level approval config for account creation and deletion.
Parameters
The service takes one object that holds every parameter. Its type is GetMachineAccountSubtypeApprovalConfigV1RequestParams.
| Name | Type | Description | Notes |
|---|---|---|---|
| xSailPointExperimental | string | Use this header to enable this experimental API. | [default to 'true'] |
| subtypeId | string | machine subtype id. | [default to undefined] |
Return type
Observable<MachineAccountSubtypeConfigDto>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { Component, inject } from '@angular/core';
import { MachineAccountSubtypesService } from '@sailpoint/angular-sdk/machine_account_subtypes';
@Component({ selector: 'app-example', template: '' })
export class ExampleComponent {
private readonly api = inject(MachineAccountSubtypesService);
getMachineAccountSubtypeApprovalConfigV1(): void {
const xSailPointExperimental: string = ; // Use this header to enable this experimental API.
const subtypeId: string = ; // machine subtype id.
this.api.getMachineAccountSubtypeApprovalConfigV1({ xSailPointExperimental: xSailPointExperimental, subtypeId: subtypeId }).subscribe({
next: (result) => console.log(result),
error: (error) => console.error(error),
});
}
}
get-source-subtype-by-id-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Get subtype by ID Get a machine account subtype by subtype ID.
Parameters
The service takes one object that holds every parameter. Its type is GetSourceSubtypeByIdV1RequestParams.
| Name | Type | Description | Notes |
|---|---|---|---|
| subtypeId | string | The ID of the subtype. | [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Observable<SourceSubtypeWithSource>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { Component, inject } from '@angular/core';
import { MachineAccountSubtypesService } from '@sailpoint/angular-sdk/machine_account_subtypes';
@Component({ selector: 'app-example', template: '' })
export class ExampleComponent {
private readonly api = inject(MachineAccountSubtypesService);
getSourceSubtypeByIdV1(): void {
const subtypeId: string = ; // The ID of the subtype.
const xSailPointExperimental: string = ; // Use this header to enable this experimental API. (optional)
this.api.getSourceSubtypeByIdV1({ subtypeId: subtypeId }).subscribe({
next: (result) => console.log(result),
error: (error) => console.error(error),
});
}
}
list-source-subtypes-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Retrieve all subtypes Get all machine account subtypes.
Parameters
The service takes one object that holds every parameter. Its type is ListSourceSubtypesV1RequestParams.
| Name | Type | Description | Notes |
|---|---|---|---|
| filters | string | Filter results using the standard syntax described in V3 API Standard Collection Parameters Filtering is supported for the following fields and operators: id: eq, in, sw displayName: eq, sw technicalName: eq, sw source.id: eq, in | [optional] [default to undefined] |
| sorters | string | Sort results using the standard syntax described in V3 API Standard Collection Parameters Sorting is supported for the following fields: displayName, technicalName | [optional] [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
| count | boolean | If true it will populate the X-Total-Count response header with the number of results that would be returned if limit and offset were ignored. Since requesting a total count can have a performance impact, it is recommended not to send count=true if that value will not be used. See V3 API Standard Collection Parameters for more information. | [optional] [default to false] |
| limit | number | Max number of results to return. See V3 API Standard Collection Parameters for more information. | [optional] [default to 250] |
| offset | number | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. | [optional] [default to 0] |
Return type
Observable<Array<SourceSubtypeWithSource>>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { Component, inject } from '@angular/core';
import { MachineAccountSubtypesService } from '@sailpoint/angular-sdk/machine_account_subtypes';
@Component({ selector: 'app-example', template: '' })
export class ExampleComponent {
private readonly api = inject(MachineAccountSubtypesService);
listSourceSubtypesV1(): void {
const filters: string = ; // Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **id**: *eq, in, sw* **displayName**: *eq, sw* **technicalName**: *eq, sw* **source.id**: *eq, in* (optional)
const sorters: string = ; // Sort results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#sorting-results) Sorting is supported for the following fields: **displayName, technicalName** (optional)
const xSailPointExperimental: string = ; // Use this header to enable this experimental API. (optional)
const count: boolean = ; // If *true* it will populate the *X-Total-Count* response header with the number of results that would be returned if *limit* and *offset* were ignored. Since requesting a total count can have a performance impact, it is recommended not to send **count=true** if that value will not be used. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const limit: number = ; // Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const offset: number = ; // Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
this.api.listSourceSubtypesV1({ }).subscribe({
next: (result) => console.log(result),
error: (error) => console.error(error),
});
}
}
load-bulk-source-subtypes-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Bulk Retrieve of Source Subtypes This endpoint retrieves the subtypes for given subtypeIds.
Parameters
The service takes one object that holds every parameter. Its type is LoadBulkSourceSubtypesV1RequestParams.
| Name | Type | Description | Notes |
|---|---|---|---|
| xSailPointExperimental | string | Use this header to enable this experimental API. | [default to 'true'] |
| requestBody | Array<string> |
Return type
Observable<Array<SourceSubtypeWithSource>>
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { Component, inject } from '@angular/core';
import { MachineAccountSubtypesService } from '@sailpoint/angular-sdk/machine_account_subtypes';
@Component({ selector: 'app-example', template: '' })
export class ExampleComponent {
private readonly api = inject(MachineAccountSubtypesService);
loadBulkSourceSubtypesV1(): void {
const xSailPointExperimental: string = ; // Use this header to enable this experimental API.
const requestBody: Array<string> = ; //
this.api.loadBulkSourceSubtypesV1({ xSailPointExperimental: xSailPointExperimental, requestBody: requestBody }).subscribe({
next: (result) => console.log(result),
error: (error) => console.error(error),
});
}
}
patch-machine-account-subtype-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Patch subtype by ID
Update fields of a machine account subtype by subtype ID.
Patchable fields only include: displayName, description.
Parameters
The service takes one object that holds every parameter. Its type is PatchMachineAccountSubtypeV1RequestParams.
| Name | Type | Description | Notes |
|---|---|---|---|
| subtypeId | string | The ID of the subtype. | [default to undefined] |
| requestBody | Array<object> | A JSON of updated values JSON Patch standard. | |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Observable<SourceSubtypeWithSource>
HTTP request headers
- Content-Type: application/json-patch+json
- Accept: application/json
Example
import { Component, inject } from '@angular/core';
import { MachineAccountSubtypesService } from '@sailpoint/angular-sdk/machine_account_subtypes';
@Component({ selector: 'app-example', template: '' })
export class ExampleComponent {
private readonly api = inject(MachineAccountSubtypesService);
patchMachineAccountSubtypeV1(): void {
const subtypeId: string = ; // The ID of the subtype.
const requestBody: Array<object> = ; // A JSON of updated values [JSON Patch](https://tools.ietf.org/html/rfc6902) standard.
const xSailPointExperimental: string = ; // Use this header to enable this experimental API. (optional)
this.api.patchMachineAccountSubtypeV1({ subtypeId: subtypeId, requestBody: requestBody }).subscribe({
next: (result) => console.log(result),
error: (error) => console.error(error),
});
}
}
update-machine-account-subtype-approval-config-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Machine Subtype Approval Config Updates the approval configuration for machine account deletion at the specified machine subtype level. This endpoint allows clients to modify approval rules and settings (such as required approvers and comments policy) for account creation and deletion workflows associated with a given subtypeId. Use this to customize or enforce approval requirements for creating and deleting machine accounts of a particular subtype.
Parameters
The service takes one object that holds every parameter. Its type is UpdateMachineAccountSubtypeApprovalConfigV1RequestParams.
| Name | Type | Description | Notes |
|---|---|---|---|
| xSailPointExperimental | string | Use this header to enable this experimental API. | [default to 'true'] |
| subtypeId | string | machine account subtype ID. | [default to undefined] |
| jsonPatchOperation | Array<JsonPatchOperation> | The JSONPatch payload used to update the object. |
Return type
Observable<MachineAccountSubtypeConfigDto>
HTTP request headers
- Content-Type: application/json-patch+json
- Accept: application/json
Example
import { Component, inject } from '@angular/core';
import { MachineAccountSubtypesService } from '@sailpoint/angular-sdk/machine_account_subtypes';
import { JsonPatchOperation } from '@sailpoint/angular-sdk/machine_account_subtypes';
@Component({ selector: 'app-example', template: '' })
export class ExampleComponent {
private readonly api = inject(MachineAccountSubtypesService);
updateMachineAccountSubtypeApprovalConfigV1(): void {
const xSailPointExperimental: string = ; // Use this header to enable this experimental API.
const subtypeId: string = ; // machine account subtype ID.
const jsonPatchOperation: Array<JsonPatchOperation> = ; // The JSONPatch payload used to update the object.
this.api.updateMachineAccountSubtypeApprovalConfigV1({ xSailPointExperimental: xSailPointExperimental, subtypeId: subtypeId, jsonPatchOperation: jsonPatchOperation }).subscribe({
next: (result) => console.log(result),
error: (error) => console.error(error),
});
}
}